<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_2e858fb1973" . "337f53ff85c1" . "04fcb38f4" => base64_decode("cHVibGl" . "zaGVk"), "_4c760fb02a49c5550" . "9ba087b84fbda45" => base64_decode("ZHJhZn" . "Q="), "_b2f5a100451164396178c16d2a" . "5c6899" => base64_decode("cHJl" . "dl90" . "aXRs" . "ZQ=="), "_6a90de6af30bf" . "720b668cfb570e" . "606de" => base64_decode("cHJldl9zdGF" . "0ZQ=="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bG" . "U="), "_939c6a45ff74323dbef4" . "87ed15753a7c" => base64_decode("c3Rh" . "dGU="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b2f5a100451164396178c16d2a5c68" . "99"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["titl" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_6a90de6af30bf720b668cfb570e" . "606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_939c6a45ff74323dbef487ed157" . "53a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_939c6a45ff74323dbef" . "487ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4c760fb02a49c" . "55509ba087b84f" . "bda45"];
        }
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2e858fb" . "1973337f" . "53ff85c1" . "04fcb38f" . "4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}